LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XShapeEventListener Interface Reference

Listener interface to receive shape-specific events. More...

`import "XShapeEventListener.idl";`

Inheritance diagram for XShapeEventListener:

## Public Member Functions
void | click ([in] ::com::sun::star::drawing::XShape xShape, [in] ::com::sun::star::awt::MouseEvent aOriginalEvent)
| Notify a clicked shape.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Listener interface to receive shape-specific events.

Since
  OOo 2.4

## Member Function Documentation

## ◆ click()

void click | ( | [in] ::com::sun::star::drawing::XShape | xShape,
|  | [in] ::com::sun::star::awt::MouseEvent | aOriginalEvent )

Notify a clicked shape.

This method notifies the listener that a shape was clicked.

Parameters

  xShape | The shape that was clicked upon.
  aOriginalEvent | The original mouse click event that generated this notification.

The documentation for this interface was generated from the following file:

- com/sun/star/presentation/XShapeEventListener.idl